###########################################################################
#
# win32 makefile -- lib
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999  The New Zealand Digital Library Project
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

GSDLHOME = ..
GSDL_VC4 = 0
LOCAL_LIBRARY = 0
DLL = 0
DLLDEBUG = 0
STLPATH = "$(GSDLHOME)\packages\windows\stlport\stlport"

AR = lib
CC = cl

!IF $(GSDL_VC4)
CPPFLAGS = -GX
!ELSE
CPPFLAGS = -EHsc
!ENDIF

!IF $(DLL)
CPPFLAGS = $(CPPFLAGS) -MD
!ELSE
!IF ($(DLLDEBUG))
CPPFLAGS = $(CPPFLAGS) -MDd
!ENDIF
!ENDIF

DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN \
       -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE
INCLUDES = -I"$(GSDLHOME)" -I"$(GSDLHOME)\indexers\mg\lib"
!IF $(GSDL_VC4)
DEFS = $(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
INCLUDES = $(INCLUDES) -I$(STLPATH)
!ENDIF
!IF $(LOCAL_LIBRARY)
DEFS = $(DEFS) -DGSDL_LOCAL_LIBRARY
!ENDIF

COMPILE = $(CC) -nologo -c $(CPPFLAGS) $(DEFS) $(INCLUDES)

.SUFFIXES:
.SUFFIXES: .c .obj
.c.obj:
	$(COMPILE) $<

.SUFFIXES: .cpp .obj
.cpp.obj:
	$(COMPILE) $< 

HEADERS = \
  cfgread.h        cnfgable.h       cnfgator.h       display.h \
  fileutil.h       gdbmclass.h      gsdlsitecfg.h    gsdltimes.h \
  gsdltools.h      gsdlunicode.h    infodbclass.h    md5.h \
  OIDtools.h       phrases.h        text_t.h         gsdlconf.h

SOURCES = \
  cfgread.cpp      cnfgable.cpp     cnfgator.cpp     display.cpp \
  fileutil.cpp     gdbmclass.cpp    gsdlsitecfg.cpp  gsdltimes.cpp \
  gsdltools.cpp    gsdlunicode.cpp  infodbclass.cpp  md5.cpp \
  OIDtools.cpp     phrases.cpp      text_t.cpp

OBJECTS = \
  cfgread.o        cnfgable.o       cnfgator.o       display.o \
  fileutil.o       gdbmclass.o      gsdlsitecfg.o    gsdltimes.o \
  gsdltools.o      gsdlunicode.o    infodbclass.o    md5.o \
  OIDtools.o       phrases.o        text_t.o


all: gsdllib.lib

gsdllib.lib : $(OBJECTS)
	if EXIST gsdllib.lib del gsdllib.lib
	$(AR) -nologo /out:gsdllib.lib $(OBJECTS)

# we want gsdltools to always be compiled in case the status of
# GSDL_LOCAL_LIBRARY has changed
gsdltools.obj: FORCE

clean:
	del *.obj 
	del gsdllib.lib

install:

FORCE: